@echo OFF
rem  * *******************************************************************
rem  *               CPMK80W8.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2016 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text   - Create Sequential Data Sets on disk using IEBGENER.
rem  * Author - SimoTime Technologies
rem  * Date   = January 24, 1996
rem  *
rem  * The first job step (DeleteTEXT) will delete any previously created
rem  * files.
rem  * The second job step (CreateTEXT) will create a new ASCII/Text file.
rem  * The third step will convert the Line Sequential file to a Record
rem  * Sequential file.
rem  *
rem  * This set of programs will run on a Personal Computer with Windows
rem  * and Micro Focus Net Express.
rem  *
     set CmdName=CPMK80W8
     call ..\Env1BASE %CmdName%
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
rem  *
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "Starting CmdName %CmdName%, User is %USERNAME%"
     call SimoNOTE "StepInfo Delete previously created files"
     set CPLS80D1=%BaseLib1%\DATA\APPL\SIMOTIME.TEST.CPLS80D1.TXT
     set CPLS80D2=%BaseLib1%\DATA\APPL\SIMOTIME.TEST.CPLS80D2.TXT
     set CPLS80D3=%BaseLib1%\DATA\APPL\SIMOTIME.TEST.CPLS80D3.TXT
rem  *
rem  * *******************************************************************
rem  * Step   1 of 6  Create and populate a new ASCII/TEXT file...
rem  * This step will create a sequential file with three records. The
rem  * length of the records is 80 bytes.
rem  *
     call SimoNOTE "StepInfo Create an ASCII/Text File"
     if exist %CPLS80D1% del %CPLS80D1%
rem  * ..1....:....2....:....3....:....4....:....5....:....6....:....7.
echo Record 001, Text String 001...>%CPLS80D1%
echo Record 002, Text String 002...>>%CPLS80D1%
echo Record 003, Text String 003...>>%CPLS80D1%
     if exist %CPLS80D1% call SimoNOTE "DataMake %CPLS80D1%"
     if not exist %CPLS80D1% set JobStatus=9001
     if not %JobStatus% == 0000 goto :EojNok
rem  *
rem  * *******************************************************************
rem  * Step   2 of 6  Create and populate a new ASCII/TEXT file...
rem  * This step will create a sequential file with three records. The
rem  * length of the records is 80 bytes.
rem  * This file contains the same records as the file created in the
rem  * preceding job step.
rem  *
     call SimoNOTE "StepInfo Create an ASCII/Text File"
     if exist %CPLS80D2% del %CPLS80D2%
rem  * ..1....:....2....:....3....:....4....:....5....:....6....:....7.
echo Record 001, Text String 001...>%CPLS80D2%
echo Record 002, Text String 002...>>%CPLS80D2%
echo Record 003, Text String 003...>>%CPLS80D2%
     if exist %CPLS80D2% call SimoNOTE "DataMake %CPLS80D2%"
     if not exist %CPLS80D2% set JobStatus=9001
     if not %JobStatus% == 0000 goto :EojNok
rem  *
rem  * *******************************************************************
rem  * Step   3 of 6  Create and populate a new ASCII/TEXT file...
rem  * This step will create a sequential file with three records. The
rem  * length of the records is 80 bytes.
rem  * This file contains similar records as the file created in the
rem  * preceding job step. However, the content of the second record
rem  * contains additional text.
rem  *
     call SimoNOTE "StepInfo Create an ASCII/Text File"
     if exist %CPLS80D3% del %CPLS80D3%
rem  * ..1....:....2....:....3....:....4....:....5....:....6....:....7.
echo Record 001, Text String 001...>%CPLS80D3%
echo Record 002, Text String 002... Catch me...>>%CPLS80D3%
echo Record 003, Text String 003...>>%CPLS80D3%
     if exist %CPLS80D3% call SimoNOTE "DataMake %CPLS80D3%"
     if not exist %CPLS80D3% set JobStatus=9001
     if not %JobStatus% == 0000 goto :EojNok
rem  *
rem  * *******************************************************************
rem  * Step   4 of 6  Convert ASCII/TEXT file to ASCII RSEQ File...
rem  *
     call SimoNOTE "StepInfo Convert Line Sequential to Record Sequential"
     set GETLS080=%CPLS80D1%
     set PUTRS080=%BaseLib1%\DATA\APPL\SIMOTIME.TEST.RS80TT01.DAT
     if exist %PUTRS080% del %PUTRS080%
     run CV80ALAR
     if not ERRORLEVEL = 0 set JobStatus=0030
     if not %JobStatus% == 0000 goto :EojNok
     call SimoNOTE "DataTake %GETLS080%"
     call SimoNOTE "DataMake %PUTRS080%"
rem  *
rem  * *******************************************************************
rem  * Step   5 of 6  Convert ASCII/TEXT file to ASCII RSEQ File...
rem  *
     call SimoNOTE "StepInfo Convert Line Sequential to Record Sequential"
     set GETLS080=%CPLS80D2%
     set PUTRS080=%BaseLib1%\DATA\APPL\SIMOTIME.TEST.RS80TT02.DAT
     if exist %PUTRS080% del %PUTRS080%
     run CV80ALAR
     if not ERRORLEVEL = 0 set JobStatus=0030
     if not %JobStatus% == 0000 goto :EojNok
     call SimoNOTE "DataTake %GETLS080%"
     call SimoNOTE "DataMake %PUTRS080%"
rem  *
rem  * *******************************************************************
rem  * Step   4 of 6  Convert ASCII/TEXT file to ASCII RSEQ File...
rem  *
     call SimoNOTE "StepInfo Convert Line Sequential to Record Sequential"
     set GETLS080=%CPLS80D3%
     set PUTRS080=%BaseLib1%\DATA\APPL\SIMOTIME.TEST.RS80TT03.DAT
     if exist %PUTRS080% del %PUTRS080%
     run CV80ALAR
     if not ERRORLEVEL = 0 set JobStatus=0030
     if not %JobStatus% == 0000 goto :EojNok
     call SimoNOTE "DataTake %GETLS080%"
     call SimoNOTE "DataMake %PUTRS080%"
rem  *
:EojAok
     call SimoNOTE "Finished CmdName %CmdName%, Job Status is %JobStatus% "
     goto :End
:EojNok
     call SimoNOTE "NOTE ABENDING CmdName %CmdName%, Job Status is %JobStatus% "
:End
     if not "%1" == "nopause" pause
