//CPRS80J8 JOB SIMOTIME,CLASS=1,MSGCLASS=0,NOTIFY=CSIP1
//* *******************************************************************
//*       CPRS80J8.JCL - a JCL Member for Batch Job Processing        *
//*       This JCL Member is provided by SimoTime Technologies        *
//*           (C) Copyright 1987-2016 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Text   - Create Sequential Data Sets on disk using IEBGENER.
//* Author - SimoTime Technologies
//* Date   - January 24, 1996
//*
//* The first job step (QSAMDELT) will delete any previously created
//* file. The second job step (QCRTDIN1) will create a new file.
//*
//* The Steps 2-4 will create new sequential files.
//*
//* The last step will create a SYSLOG file.
//*
//* This set of programs will run on a mainframe under MVS or on a
//* Personal Computer with Windows and Micro Focus Mainframe Express.
//*
//* *******************************************************************
//* Step 1 of 5, Delete any previously created files...
//*
//QSAMDELT EXEC PGM=IEFBR14
//CRTRS801 DD  DSN=SIMOTIME.DATA.RS80TT01,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//CRTRS802 DD  DSN=SIMOTIME.DATA.RS80TT02,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//CRTRS803 DD  DSN=SIMOTIME.DATA.RS80TT03,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//SYSLOG   DD  DSN=SIMOTIME.SYSLOG.CPRS80D1,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//*
//* *******************************************************************
//* Step 2 of 5, Create and populate a new QSAM file...
//* This step will create a sequential file with three records. The
//* length of the records is 80 bytes.
//*
//CRTRS801 EXEC PGM=IEBGENER
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  DUMMY
//* :....1....:....2....:....3....:....4....:....5....:....6....:....7.
//SYSUT1   DD  *
Record 001, Text String 001...
Record 002, Text String 002...
Record 003, Text String 003...
/*
//SYSUT2   DD  DSN=SIMOTIME.DATA.RS80TT01,
//             DISP=(NEW,CATLG,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//*
//* *******************************************************************
//* Step 3 of 5, Create and populate a new QSAM file...
//* This step will create a sequential file with three records. The
//* length of the records is 80 bytes.
//* This file contains the same records as the file created in the
//* preceding job step.
//*
//CRTRS802 EXEC PGM=IEBGENER
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  DUMMY
//* :....1....:....2....:....3....:....4....:....5....:....6....:....7.
//SYSUT1   DD  *
Record 001, Text String 001...
Record 002, Text String 002...
Record 003, Text String 003...
/*
//SYSUT2   DD  DSN=SIMOTIME.DATA.RS80TT02,
//             DISP=(NEW,CATLG,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//*
//* *******************************************************************
//* Step 4 of 5, Create and populate a new QSAM file...
//* This step will create a sequential file with three records. The
//* length of the records is 80 bytes.
//* This file contains similar records as the file created in the
//* preceding job step. However, the content of the second record
//* contains additional text.
//*
//CRTRS803 EXEC PGM=IEBGENER
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  DUMMY
//* :....1....:....2....:....3....:....4....:....5....:....6....:....7.
//SYSUT1   DD  *
Record 001, Text String 001...
Record 002, Text String 002... Catch me...
Record 003, Text String 003...
/*
//SYSUT2   DD  DSN=SIMOTIME.DATA.RS80TT03,
//             DISP=(NEW,CATLG,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//*
//* *******************************************************************
//* Step 5 of 5, Create a new RSEQ file with variable length records
//*
//QCRTDIN1 EXEC PGM=IEBGENER
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  DUMMY
//* :....1....:....2....:....3....:....4....:....5....:....6....:....7.
//SYSUT1   DD  *
/*
//SYSUT2   DD  DSN=SIMOTIME.SYSLOG.CPRS80D1,
//             DISP=(NEW,CATLG,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=V,LRECL=1055,DSORG=PS)
//
